function [k1,k2] = findcycle(k1,k2,alpha,gam,beta)
x1=-log((1/k1)-1);
x2=-log((1/k2)-1);

options = optimset('Display','off','TolFun',1e-10,'TolX',1e-8,'maxiter',50000,'MaxFun',50000,'LargeScale','off');
[DD,ValDD,exitflag]=fminsearch('cycle',[x1 x2],options,[alpha gam beta]);

if exitflag == 0
    disp('(findcycle) maximum number of function evaluations reached')
elseif exitflag < 0
    error('(findcycle) did not converge to a solution')
end

if isnan(ValDD) == 1 | abs(imag(ValDD)) > .1e-09 
    error('fatal (findcycle) optimized function value not a sensible number')
end

k1=1/(1+exp(-DD(1)));
k2=1/(1+exp(-DD(2)));